# OnnxRuntime: Ort::detail::ConstSessionOptionsImpl< T > Struct Template Reference

Loading...
Searching...
No Matches
Ort::detail::ConstSessionOptionsImpl< T > Struct Template Reference

`#include <onnxruntime_cxx_api.h>`

Inheritance diagram for Ort::detail::ConstSessionOptionsImpl< T >:

## Public Types

using | B = Base< T >
Public Types inherited from Ort::detail::Base< T >
using | contained_type = T

## Public Member Functions

SessionOptions | Clone () const
| Creates and returns a copy of this SessionOptions object. Wraps OrtApi::CloneSessionOptions.
std::string | GetConfigEntry (const char *config_key) const
| Wraps OrtApi::GetSessionConfigEntry.
bool | HasConfigEntry (const char *config_key) const
| Wraps OrtApi::HasSessionConfigEntry.
std::string | GetConfigEntryOrDefault (const char *config_key, const std::string &def)
Public Member Functions inherited from Ort::detail::Base< T >
constexpr | Base ()=default
constexpr | Base (contained_type *p) noexcept
| ~Base ()
| Base (const Base &)=delete
Base & | operator= (const Base &)=delete
| Base (Base &&v) noexcept
Base & | operator= (Base &&v) noexcept
constexpr | operator contained_type * () const noexcept
contained_type * | release ()
| Relinquishes ownership of the contained C object pointer The underlying object is not destroyed.

## Additional Inherited Members

Protected Attributes inherited from Ort::detail::Base< T >
contained_type * | p_ {}

## Member Typedef Documentation

## B

template<typename T >

using Ort::detail::ConstSessionOptionsImpl< T >::B = Base<T>

## Member Function Documentation

## Clone()

template<typename T >

SessionOptions Ort::detail::ConstSessionOptionsImpl< T >::Clone | ( |  | ) | const

Creates and returns a copy of this SessionOptions object. Wraps OrtApi::CloneSessionOptions.

## GetConfigEntry()

template<typename T >

std::string Ort::detail::ConstSessionOptionsImpl< T >::GetConfigEntry | ( | const char * | config_key | ) | const

Wraps OrtApi::GetSessionConfigEntry.

## GetConfigEntryOrDefault()

template<typename T >

std::string Ort::detail::ConstSessionOptionsImpl< T >::GetConfigEntryOrDefault | ( | const char * | config_key,
|  | const std::string & | def
| ) |  |

## HasConfigEntry()

template<typename T >

bool Ort::detail::ConstSessionOptionsImpl< T >::HasConfigEntry | ( | const char * | config_key | ) | const

Wraps OrtApi::HasSessionConfigEntry.